<html>
<head>
<title>Ogre::GLESSupport Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESSupport Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESSupport" -->
<p><code>#include &lt;<a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESSupport:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESSupport__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESSupport_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESSupport_inherit__map" id="Ogre_1_1GLESSupport_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1EAGLSupport.html" title="Ogre::EAGLSupport" alt="" coords="64,83,203,112"/><area shape="rect" id="node5" href="classOgre_1_1EGLSupport.html" title="Ogre::EGLSupport" alt="" coords="227,83,355,112"/><area shape="rect" id="node7" href="classOgre_1_1SymbianEGLSupport.html" title="Ogre::SymbianEGLSupport" alt="" coords="5,160,184,189"/><area shape="rect" id="node10" href="classOgre_1_1Win32EGLSupport.html" title="Ogre::Win32EGLSupport" alt="" coords="208,160,373,189"/><area shape="rect" id="node13" href="classOgre_1_1X11EGLSupport.html" title="Ogre::X11EGLSupport" alt="" coords="397,160,549,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESSupport-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a454b16b106337c1cb81f078af7d4b349">GLESSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#afdaea2db21d2ca99e90b1f0f3e053446">~GLESSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a87fbb88802be0e3f63c7d41c82d7a008">addConfig</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add any special config values to the system.  <a href="#a87fbb88802be0e3f63c7d41c82d7a008"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#aa90028ef0825593ccfeb1945ee9716c7">setConfigOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#af591bf65bf8382d2040a29e43ba620ad">validateConfig</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Make sure all the extra options are valid.  <a href="#af591bf65bf8382d2040a29e43ba620ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a3c6377b1c6a522033a8df284902d7c77">getConfigOptions</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a6a9d408b909c46a09e2b44f43450810b">createWindow</a> (bool autoCreateWindow, <a class="el" href="classOgre_1_1GLESRenderSystem.html">GLESRenderSystem</a> *renderSystem, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;windowTitle)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a4fbaf6372fd435b8ba277e2b4b60c44c">newWindow</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, unsigned int width, unsigned int height, bool fullScreen, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *miscParams=0)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a34fc4cc251f4466759d3004dd3674b93">getGLVendor</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vendor information.  <a href="#a34fc4cc251f4466759d3004dd3674b93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a2258ed278d0417efc064f5c33ec3b0c1">getGLVersion</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get version information.  <a href="#a2258ed278d0417efc064f5c33ec3b0c1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#abdb29bd7d75942151c59248d501d20f7">getProcAddress</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;procname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the address of a function.  <a href="#abdb29bd7d75942151c59248d501d20f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#afa94fede38d0ff8a33cd24ef7bcc570f">initialiseExtensions</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialises GL extensions, must be done AFTER the GL context has been established.  <a href="#afa94fede38d0ff8a33cd24ef7bcc570f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a5258d5d581764d1b66118117c7dc58e4">checkExtension</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ext) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if an extension is available.  <a href="#a5258d5d581764d1b66118117c7dc58e4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a30b27014eed2901c03f71f24b79dceb7">getDisplayMonitorCount</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#aa33de56899f26c984137e5fc8a31ff6e">start</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start anything special.  <a href="#aa33de56899f26c984137e5fc8a31ff6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a2309106e40cd13d5b7a248a73e661bf2">stop</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop anything special.  <a href="#a2309106e40cd13d5b7a248a73e661bf2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a5297db5d913a20e0adf92f68ea526c1e">createPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> format, size_t width, size_t height)=0</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a79409f5c2ffda886fca7a9b17d47edd8">mOptions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::set&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a8581a423171332aed8bfcbff7aa8939a">extensionList</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#addb2487947de3f042ed809766dd03a03">mVersion</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESSupport.html#a75a3471bd4b286536331a6ceacdd3dad">mVendor</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00042">42</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a454b16b106337c1cb81f078af7d4b349"></a><!-- doxytag: member="Ogre::GLESSupport::GLESSupport" ref="a454b16b106337c1cb81f078af7d4b349" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESSupport.html#a454b16b106337c1cb81f078af7d4b349">Ogre::GLESSupport::GLESSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00045">45</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="afdaea2db21d2ca99e90b1f0f3e053446"></a><!-- doxytag: member="Ogre::GLESSupport::~GLESSupport" ref="afdaea2db21d2ca99e90b1f0f3e053446" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESSupport.html#afdaea2db21d2ca99e90b1f0f3e053446">Ogre::GLESSupport::~GLESSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00046">46</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a87fbb88802be0e3f63c7d41c82d7a008"></a><!-- doxytag: member="Ogre::GLESSupport::addConfig" ref="a87fbb88802be0e3f63c7d41c82d7a008" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESSupport.html#a87fbb88802be0e3f63c7d41c82d7a008">Ogre::GLESSupport::addConfig</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add any special config values to the system. </p>
<p>Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh </p>

<p>Implemented in <a class="el" href="classOgre_1_1EGLSupport.html#a9d9194fbf90d661ea24d3714bef59579">Ogre::EGLSupport</a>, <a class="el" href="classOgre_1_1EGLSupport.html#a9d9194fbf90d661ea24d3714bef59579">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EAGLSupport.html#ae417c9443bc3a972b8f81ee4b1d87c21">Ogre::EAGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a5258d5d581764d1b66118117c7dc58e4"></a><!-- doxytag: member="Ogre::GLESSupport::checkExtension" ref="a5258d5d581764d1b66118117c7dc58e4" args="(const String &amp;ext) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLESSupport.html#a5258d5d581764d1b66118117c7dc58e4">Ogre::GLESSupport::checkExtension</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>ext</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if an extension is available. </p>

</div>
</div>
<a class="anchor" id="a5297db5d913a20e0adf92f68ea526c1e"></a><!-- doxytag: member="Ogre::GLESSupport::createPBuffer" ref="a5297db5d913a20e0adf92f68ea526c1e" args="(PixelComponentType format, size_t width, size_t height)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a>* <a class="el" href="classOgre_1_1GLESSupport.html#a5297db5d913a20e0adf92f68ea526c1e">Ogre::GLESSupport::createPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1X11EGLSupport.html#ae6f7835b4b3e7cd4e55a6b9504a8a6b3">Ogre::X11EGLSupport</a>, <a class="el" href="classOgre_1_1EGLSupport.html#af3ea5f89b4a2e12f0e3e620f124c237c">Ogre::EGLSupport</a>, <a class="el" href="classOgre_1_1EAGLSupport.html#a18948967220a5d348ef0545ec0d54d63">Ogre::EAGLSupport</a>, <a class="el" href="classOgre_1_1Win32EGLSupport.html#aa2341ed7abb943966ec4ec819d234b60">Ogre::Win32EGLSupport</a>, <a class="el" href="classOgre_1_1SymbianEGLSupport.html#ab9732e8caa78d42e421be0714e1fde61">Ogre::SymbianEGLSupport</a>, and <a class="el" href="classOgre_1_1SymbianEGLSupport.html#ab9732e8caa78d42e421be0714e1fde61">Ogre::SymbianEGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a6a9d408b909c46a09e2b44f43450810b"></a><!-- doxytag: member="Ogre::GLESSupport::createWindow" ref="a6a9d408b909c46a09e2b44f43450810b" args="(bool autoCreateWindow, GLESRenderSystem *renderSystem, const String &amp;windowTitle)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GLESSupport.html#a6a9d408b909c46a09e2b44f43450810b">Ogre::GLESSupport::createWindow</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoCreateWindow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLESRenderSystem.html">GLESRenderSystem</a> *&#160;</td>
          <td class="paramname"><em>renderSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>windowTitle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1EGLSupport.html#a140c1a138a22d238d2a6a15687d612c6">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EAGLSupport.html#aa4d472c8a33b4aa2a50ec430c7a62ae3">Ogre::EAGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a3c6377b1c6a522033a8df284902d7c77"></a><!-- doxytag: member="Ogre::GLESSupport::getConfigOptions" ref="a3c6377b1c6a522033a8df284902d7c77" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; <a class="el" href="classOgre_1_1GLESSupport.html#a3c6377b1c6a522033a8df284902d7c77">Ogre::GLESSupport::getConfigOptions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a30b27014eed2901c03f71f24b79dceb7"></a><!-- doxytag: member="Ogre::GLESSupport::getDisplayMonitorCount" ref="a30b27014eed2901c03f71f24b79dceb7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int <a class="el" href="classOgre_1_1GLESSupport.html#a30b27014eed2901c03f71f24b79dceb7">Ogre::GLESSupport::getDisplayMonitorCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00103">103</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34fc4cc251f4466759d3004dd3674b93"></a><!-- doxytag: member="Ogre::GLESSupport::getGLVendor" ref="a34fc4cc251f4466759d3004dd3674b93" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLESSupport.html#a34fc4cc251f4466759d3004dd3674b93">Ogre::GLESSupport::getGLVendor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vendor information. </p>

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00075">75</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2258ed278d0417efc064f5c33ec3b0c1"></a><!-- doxytag: member="Ogre::GLESSupport::getGLVersion" ref="a2258ed278d0417efc064f5c33ec3b0c1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLESSupport.html#a2258ed278d0417efc064f5c33ec3b0c1">Ogre::GLESSupport::getGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get version information. </p>

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00083">83</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="abdb29bd7d75942151c59248d501d20f7"></a><!-- doxytag: member="Ogre::GLESSupport::getProcAddress" ref="abdb29bd7d75942151c59248d501d20f7" args="(const String &amp;procname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void* <a class="el" href="classOgre_1_1GLESSupport.html#abdb29bd7d75942151c59248d501d20f7">Ogre::GLESSupport::getProcAddress</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>procname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the address of a function. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EGLSupport.html#a0215d5b1c22d41e46e2f07f0e1ac2b70">Ogre::EGLSupport</a>, <a class="el" href="classOgre_1_1EGLSupport.html#a0215d5b1c22d41e46e2f07f0e1ac2b70">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EAGLSupport.html#a7fe5d58416d5be4b208bda9de84e8c00">Ogre::EAGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="afa94fede38d0ff8a33cd24ef7bcc570f"></a><!-- doxytag: member="Ogre::GLESSupport::initialiseExtensions" ref="afa94fede38d0ff8a33cd24ef7bcc570f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESSupport.html#afa94fede38d0ff8a33cd24ef7bcc570f">Ogre::GLESSupport::initialiseExtensions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialises GL extensions, must be done AFTER the GL context has been established. </p>

</div>
</div>
<a class="anchor" id="a4fbaf6372fd435b8ba277e2b4b60c44c"></a><!-- doxytag: member="Ogre::GLESSupport::newWindow" ref="a4fbaf6372fd435b8ba277e2b4b60c44c" args="(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GLESSupport.html#a4fbaf6372fd435b8ba277e2b4b60c44c">Ogre::GLESSupport::newWindow</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>fullScreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>miscParams</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Creates a new rendering window. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method creates a new rendering window as specified by the paramteters. The rendering system could be responible for only a single window (e.g. in the case of a game), or could be in charge of multiple ones (in the case of a level editor). The option to create the window as a child of another is therefore given. This method will create an appropriate subclass of <a class="el" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> depending on the API and platform implementation. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>After creation, this window can be retrieved using <a class="el" href="classOgre_1_1RenderSystem.html#a313d7af5018e65802d96aa7124700db7" title="Returns a pointer to the render target with the passed name, or NULL if that render target cannot be ...">getRenderTarget()</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the window. Used in other methods later like setRenderTarget and getRenderTarget. </td></tr>
    <tr><td class="paramname">width</td><td>The width of the new window. </td></tr>
    <tr><td class="paramname">height</td><td>The height of the new window. </td></tr>
    <tr><td class="paramname">fullScreen</td><td>Specify true to make the window full screen without borders, title bar or menu bar. </td></tr>
    <tr><td class="paramname">miscParams</td><td>A NameValuePairList describing the other parameters for the new rendering window. Options are case sensitive. Unrecognised parameters will be ignored silently. These values might be platform dependent, but these are present for all platforms unless indicated otherwise: <table class="doxtable">
<tr>
<td><b>Key</b> </td><td><b>Type/Values</b> </td><td><b>Default</b> </td><td><b>Description</b> </td><td><b>Notes</b>  </td></tr>
<tr>
<td>title </td><td><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> string </td><td><a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> name </td><td>The title of the window that will appear in the title bar </td><td>&#160;  </td></tr>
<tr>
<td>colourDepth </td><td>16, 32 </td><td>Desktop depth </td><td>Colour depth of the resulting rendering window; only applies if fullScreen </td><td>Win32 Specific  </td></tr>
<tr>
<td>left </td><td>Positive integers </td><td>Centred </td><td>Screen x coordinate from left </td><td>&#160;  </td></tr>
<tr>
<td>top </td><td>Positive integers </td><td>Centred </td><td>Screen y coordinate from left </td><td>&#160;  </td></tr>
<tr>
<td>depthBuffer </td><td>true, false </td><td>true </td><td>Use depth buffer </td><td>DirectX9 specific  </td></tr>
<tr>
<td>externalWindowHandle </td><td>Win32: HWND as integer<br/>
 GLX: poslong:posint:poslong (display*:screen:windowHandle) or poslong:posint:poslong:poslong (display*:screen:windowHandle:XVisualInfo*)<br/>
 OS X: WindowRef for Carbon or NSWindow for Cocoa address as an integer iOS: UIWindow address as an integer  </td><td>0 (none) </td><td>External window handle, for embedding the OGRE render in an existing window </td><td>&#160;  </td></tr>
<tr>
<td>externalGLControl </td><td>true, false </td><td>false </td><td>Let the external window control OpenGL i.e. don't select a pixel format for the window, do not change v-sync and do not swap buffer. When set to true, the calling application is responsible of OpenGL initialization and buffer swapping. It should also create an OpenGL context for its own rendering, <a class="el" href="namespaceOgre.html">Ogre</a> will create one for its use. Then the calling application must also enable <a class="el" href="namespaceOgre.html">Ogre</a> OpenGL context before calling any <a class="el" href="namespaceOgre.html">Ogre</a> function and restore its OpenGL context after these calls. </td><td>OpenGL specific  </td></tr>
<tr>
<td>externalGLContext </td><td>Context as Unsigned Long </td><td>0 (create own context) </td><td>Use an externally created GL context </td><td>OpenGL Specific  </td></tr>
<tr>
<td>parentWindowHandle </td><td>Win32: HWND as integer<br/>
 GLX: poslong:posint:poslong (display*:screen:windowHandle) or poslong:posint:poslong:poslong (display*:screen:windowHandle:XVisualInfo*) </td><td>0 (none) </td><td>Parent window handle, for embedding the OGRE in a child of an external window </td><td>&#160;  </td></tr>
<tr>
<td>macAPI </td><td>String: "cocoa" or "carbon" </td><td>"carbon" </td><td>Specifies the type of rendering window on the Mac Platform. </td><td>Mac OS X Specific </td><td>&#160;  </td></tr>
<tr>
<td>macAPICocoaUseNSView </td><td>bool "true" or "false" </td><td>"false" </td><td>On the Mac platform the most diffused method to embed OGRE in a custom application is to use Interface Builder and add to the interface an instance of <a class="el" href="interfaceOgreView.html">OgreView</a>. The pointer to this instance is then used as "externalWindowHandle". However, there are cases where you are NOT using Interface Builder and you get the Cocoa NSView* of an existing interface. For example, this is happens when you want to render into a Java/AWT interface. In short, by setting this flag to "true" the <a class="el" href="classOgre_1_1Root.html#a537b7d1d0937f799cfe4936f6b672620">Ogre::Root::createRenderWindow</a> interprets the "externalWindowHandle" as a NSView* instead of an OgreView*. See <a class="el" href="OgreOSXCocoaView_8h.html">OgreOSXCocoaView.h</a>/mm.  </td><td>Mac OS X Specific </td><td>&#160;  </td></tr>
<tr>
<td>contentScalingFactor </td><td>Positive Float greater than 1.0 </td><td>The default content scaling factor of the screen </td><td>Specifies the CAEAGLLayer content scaling factor. Only supported on iOS 4 or greater. This can be useful to limit the resolution of the OpenGL ES backing store. For example, the iPhone 4's native resolution is 960 x 640. Windows are always 320 x 480, if you would like to limit the display to 720 x 480, specify 1.5 as the scaling factor.  </td><td>iOS Specific </td><td>&#160;  </td></tr>
<tr>
<td>externalViewHandle </td><td>UIView pointer as an integer </td><td>0 </td><td>External view handle, for rendering OGRE render in an existing view </td><td>iOS Specific </td><td>&#160;  </td></tr>
<tr>
<td>externalViewControllerHandle </td><td>UIViewController pointer as an integer </td><td>0 </td><td>External view controller handle, for embedding OGRE in an existing view controller </td><td>iOS Specific </td><td>&#160;  </td></tr>
<tr>
<td>FSAA </td><td>Positive integer (usually 0, 2, 4, 8, 16) </td><td>0 </td><td>Full screen antialiasing factor </td><td>&#160;  </td></tr>
<tr>
<td>FSAAHint </td><td>Depends on <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> and hardware. Currently supports:<br/>
 "Quality": on systems that have an option to prefer higher AA quality over speed, use it </td><td>Blank </td><td>Full screen antialiasing hint </td><td>&#160;  </td></tr>
<tr>
<td>displayFrequency </td><td>Refresh rate in Hertz (e.g. 60, 75, 100) </td><td>Desktop vsync rate </td><td>Display frequency rate, for fullscreen mode </td><td>&#160;  </td></tr>
<tr>
<td>vsync </td><td>true, false </td><td>false </td><td>Synchronize buffer swaps to monitor vsync, eliminating tearing at the expense of a fixed frame rate </td><td>&#160;  </td></tr>
<tr>
<td>vsyncInterval </td><td>1, 2, 3, 4 </td><td>1 </td><td>If vsync is enabled, the minimum number of vertical blanks that should occur between renders. For example if vsync is enabled, the refresh rate is 60 and this is set to 2, then the frame rate will be locked at 30. </td><td>&#160;  </td></tr>
<tr>
<td>border </td><td>none, fixed, resize </td><td>resize </td><td>The type of window border (in windowed mode) </td><td>&#160;  </td></tr>
<tr>
<td>outerDimensions </td><td>true, false </td><td>false </td><td>Whether the width/height is expressed as the size of the outer window, rather than the content area </td><td>&#160;  </td></tr>
<tr>
<td>useNVPerfHUD </td><td>true, false </td><td>false </td><td>Enable the use of nVidia NVPerfHUD </td><td>&#160;  </td></tr>
<tr>
<td>gamma </td><td>true, false </td><td>false </td><td>Enable hardware conversion from linear colour space to gamma colour space on rendering to the window. </td><td>&#160;  </td></tr>
<tr>
<td>enableDoubleClick </td><td>true, false </td><td>false </td><td>Enable the window to keep track and transmit double click messages. </td><td>Win32 Specific  </td></tr>
</table>
</td></tr>
  </table>
  </dd>
</dl>
 
<p>Implemented in <a class="el" href="classOgre_1_1X11EGLSupport.html#aeea155191e6f3452963fe7250b4561d9">Ogre::X11EGLSupport</a>, <a class="el" href="classOgre_1_1X11EGLSupport.html#aeea155191e6f3452963fe7250b4561d9">Ogre::X11EGLSupport</a>, <a class="el" href="classOgre_1_1EAGLSupport.html#a8edb560168be17ac8676fd703b6b80c6">Ogre::EAGLSupport</a>, <a class="el" href="classOgre_1_1Win32EGLSupport.html#a33bc7f639edf3f5d3013f101ccdaf2c6">Ogre::Win32EGLSupport</a>, <a class="el" href="classOgre_1_1Win32EGLSupport.html#a33bc7f639edf3f5d3013f101ccdaf2c6">Ogre::Win32EGLSupport</a>, <a class="el" href="classOgre_1_1SymbianEGLSupport.html#a7d6a11b6feafa6668abc9de96dc55961">Ogre::SymbianEGLSupport</a>, and <a class="el" href="classOgre_1_1SymbianEGLSupport.html#a7d6a11b6feafa6668abc9de96dc55961">Ogre::SymbianEGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="aa90028ef0825593ccfeb1945ee9716c7"></a><!-- doxytag: member="Ogre::GLESSupport::setConfigOption" ref="aa90028ef0825593ccfeb1945ee9716c7" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESSupport.html#aa90028ef0825593ccfeb1945ee9716c7">Ogre::GLESSupport::setConfigOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1EGLSupport.html#a396d18d9c6fd316f8a032386735ad6bc">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EGLSupport.html#a396d18d9c6fd316f8a032386735ad6bc">Ogre::EGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="aa33de56899f26c984137e5fc8a31ff6e"></a><!-- doxytag: member="Ogre::GLESSupport::start" ref="aa33de56899f26c984137e5fc8a31ff6e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESSupport.html#aa33de56899f26c984137e5fc8a31ff6e">Ogre::GLESSupport::start</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start anything special. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EGLSupport.html#a47ed5f3e606d96a913494b7831a4db0c">Ogre::EGLSupport</a>, <a class="el" href="classOgre_1_1EGLSupport.html#a47ed5f3e606d96a913494b7831a4db0c">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EAGLSupport.html#ac42f75e585fc8e0a994ba9aa04c22f5a">Ogre::EAGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a2309106e40cd13d5b7a248a73e661bf2"></a><!-- doxytag: member="Ogre::GLESSupport::stop" ref="a2309106e40cd13d5b7a248a73e661bf2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESSupport.html#a2309106e40cd13d5b7a248a73e661bf2">Ogre::GLESSupport::stop</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop anything special. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EGLSupport.html#ac8559d5d6fbb007a30774351e3eb0741">Ogre::EGLSupport</a>, <a class="el" href="classOgre_1_1EGLSupport.html#ac8559d5d6fbb007a30774351e3eb0741">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EAGLSupport.html#a095af46898522d4058045998c2ff31bd">Ogre::EAGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="af591bf65bf8382d2040a29e43ba620ad"></a><!-- doxytag: member="Ogre::GLESSupport::validateConfig" ref="af591bf65bf8382d2040a29e43ba620ad" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GLESSupport.html#af591bf65bf8382d2040a29e43ba620ad">Ogre::GLESSupport::validateConfig</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make sure all the extra options are valid. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>string with error message </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1EGLSupport.html#a5812077a3463f0ad9ca639a9ec768d6d">Ogre::EGLSupport</a>, <a class="el" href="classOgre_1_1EGLSupport.html#a5812077a3463f0ad9ca639a9ec768d6d">Ogre::EGLSupport</a>, and <a class="el" href="classOgre_1_1EAGLSupport.html#a54b25d44f73efccd0390419bd707f847">Ogre::EAGLSupport</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8581a423171332aed8bfcbff7aa8939a"></a><!-- doxytag: member="Ogre::GLESSupport::extensionList" ref="a8581a423171332aed8bfcbff7aa8939a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; <a class="el" href="classOgre_1_1GLESSupport.html#a8581a423171332aed8bfcbff7aa8939a">Ogre::GLESSupport::extensionList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00127">127</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79409f5c2ffda886fca7a9b17d47edd8"></a><!-- doxytag: member="Ogre::GLESSupport::mOptions" ref="a79409f5c2ffda886fca7a9b17d47edd8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="el" href="classOgre_1_1GLESSupport.html#a79409f5c2ffda886fca7a9b17d47edd8">Ogre::GLESSupport::mOptions</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00124">124</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75a3471bd4b286536331a6ceacdd3dad"></a><!-- doxytag: member="Ogre::GLESSupport::mVendor" ref="a75a3471bd4b286536331a6ceacdd3dad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GLESSupport.html#a75a3471bd4b286536331a6ceacdd3dad">Ogre::GLESSupport::mVendor</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00120">120</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="addb2487947de3f042ed809766dd03a03"></a><!-- doxytag: member="Ogre::GLESSupport::mVersion" ref="addb2487947de3f042ed809766dd03a03" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GLESSupport.html#addb2487947de3f042ed809766dd03a03">Ogre::GLESSupport::mVersion</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESSupport_8h_source.html#l00119">119</a> of file <a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESSupport_8h_source.html">OgreGLESSupport.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:26
</p>
</body>
</html>
